<?php
/* ZF3 */
if (interface_exists('Interop\Container\ContainerInterface')) {
    return [

        /* konfigurasi service manager */
        'service_manager' => [
            'factories' => [
                \Zend\I18n\Translator\TranslatorInterface::class => \Zend\I18n\Translator\TranslatorServiceFactory::class,
            ],
            'aliases' => [
                'translator' => \Zend\I18n\Translator\TranslatorInterface::class,
            ],
        ],

        /* plugins */
        'controller_plugins' => [
            'factories' => [
                \Neuron\Mvc\Controller\Plugin\Translate::class => \Neuron\Mvc\Controller\Plugin\Factory\TranslateEx::class,
            ],
            'aliases' => [
                'translate' => \Neuron\Mvc\Controller\Plugin\Translate::class,
            ],
        ],

        /* default view helpers */
        'view_helpers' => [
            'factories' => [
                \Neuron\Mvc\View\Helper\Route::class => \Neuron\Mvc\View\Helper\Factory\RouteEx::class,
            ],
            'invokables' => [
                'getLayout' => \Zend\View\Helper\Layout::class,
                'translate' => \Zend\I18n\View\Helper\Translate::class,
            ],
            'aliases' => [
                'getRoute' => \Neuron\Mvc\View\Helper\Route::class,
            ],
        ],

    ];
} else {
    return [

        /* konfigurasi service manager */
        'service_manager' => [
            'aliases' => [
                'translator' => 'MvcTranslator',  // = Zend\Mvc\I18n\Translator\Translator implements Zend\I18n\Translator\TranslatorInterface
            ],
        ],

        /* plugins */
        'controller_plugins' => [
            'factories' => [
                \Neuron\Mvc\Controller\Plugin\Translate::class => \Neuron\Mvc\Controller\Plugin\Factory\Translate::class,
            ],
            'aliases' => [
                'translate' => \Neuron\Mvc\Controller\Plugin\Translate::class,
            ],
        ],

        /* default view helpers */
        'view_helpers' => [
            'factories' => [
                \Neuron\Mvc\View\Helper\Route::class => \Neuron\Mvc\View\Helper\Factory\Route::class,
            ],
            'invokables' => [
                'getLayout' => \Zend\View\Helper\Layout::class,
                'translate' => \Zend\I18n\View\Helper\Translate::class,
            ],
            'aliases' => [
                'getRoute' => \Neuron\Mvc\View\Helper\Route::class,
            ],
        ],

    ];
}